Bug 1327526 - Review Request: golang-github-klauspost-crc32 - CRC32 hash with x64 optimizations
Summary: Review Request: golang-github-klauspost-crc32 - CRC32 hash with x64 optimizat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: golang-packaging-tracker 1256978 1327762
TreeView+ depends on / blocked
 
Reported: 2016-04-15 10:08 UTC by Jan Chaloupka
Modified: 2016-05-21 05:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 17:43:04 UTC
mrunge: fedora-review+


Attachments (Terms of Use)

Description Jan Chaloupka 2016-04-15 10:08:22 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-klauspost-crc32/golang-github-klauspost-crc32.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-klauspost-crc32/golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc20.src.rpm

Description: CRC32 hash with x64 optimizations

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=13668975

$ rpmlint golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc20.src.rpm golang-github-klauspost-crc32-devel-0-0.1.gita3b15ae.fc20.noarch.rpm golang-github-klauspost-crc32-unit-test-devel-0-0.1.gita3b15ae.fc20.x86_64.rpm
golang-github-klauspost-crc32.src: W: spelling-error Summary(en_US) optimizations -> optimization, optimization's, optimization s
golang-github-klauspost-crc32.src: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
golang-github-klauspost-crc32-devel.noarch: W: spelling-error Summary(en_US) optimizations -> optimization, optimization's, optimization s
golang-github-klauspost-crc32-devel.noarch: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 1 Matthias Runge 2016-04-21 06:03:13 UTC
will review this later today. I have the feeling, we both packaged a lot of packages twice.

Comment 2 Matthias Runge 2016-04-22 06:39:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 7 files have unknown
     license. Detailed output of licensecheck in
     /home/mrunge/review/1327526-golang-github-klauspost-
     crc32/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-klauspost-crc32-devel , golang-github-klauspost-crc32-unit-
     test-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-klauspost-crc32-devel-0-0.1.gita3b15ae.fc25.noarch.rpm
          golang-github-klauspost-crc32-unit-test-devel-0-0.1.gita3b15ae.fc25.x86_64.rpm
          golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
golang-github-klauspost-crc32-devel (rpmlib, GLIBC filtered):

golang-github-klauspost-crc32-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-klauspost-crc32-devel



Provides
--------
golang-github-klauspost-crc32-devel:
    golang(github.com/klauspost/crc32)
    golang-github-klauspost-crc32-devel

golang-github-klauspost-crc32-unit-test-devel:
    golang-github-klauspost-crc32-unit-test-devel
    golang-github-klauspost-crc32-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/klauspost/crc32/archive/a3b15ae34567abb20a22992b989cd76f48d09c47/crc32-a3b15ae.tar.gz :
  CHECKSUM(SHA256) this package     : deeb113107746c2f9ae0250d4cf0e7ffec832033806ca2fe0eb33da3d8da8aae
  CHECKSUM(SHA256) upstream package : deeb113107746c2f9ae0250d4cf0e7ffec832033806ca2fe0eb33da3d8da8aae


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1327526
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Package approved.

Comment 3 Gwyn Ciesla 2016-04-26 13:06:36 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-klauspost-crc32

Comment 4 Fedora Update System 2016-04-26 21:21:53 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dbe9ae39e0

Comment 5 Fedora Update System 2016-04-26 21:22:31 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-43efc48278

Comment 6 Fedora Update System 2016-04-26 21:22:57 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0a8b9d8dfc

Comment 7 Fedora Update System 2016-04-26 21:23:24 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-158c7ffcf3

Comment 8 Fedora Update System 2016-04-27 17:50:53 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-158c7ffcf3

Comment 9 Fedora Update System 2016-04-28 02:24:59 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0a8b9d8dfc

Comment 10 Fedora Update System 2016-04-28 02:31:54 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dbe9ae39e0

Comment 11 Fedora Update System 2016-04-28 02:32:22 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-43efc48278

Comment 12 Fedora Update System 2016-05-20 17:43:01 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-20 23:52:09 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-20 23:54:04 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-21 05:19:14 UTC
golang-github-klauspost-crc32-0-0.1.gita3b15ae.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.